upgrade 1.4.5 to 1.5.2 results in "Invalid search query" error

07/30/2014 04:09 AM - Gerard Reitsma

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: DB migrations   

Target version: 1.5.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1639

  

Description

I updated from 1.4.5 to 1.5.2. After the upgrade the following error occured when starting foreman:

Validation failed: Search Invalid search query: Field 'compute_resource_id' not recognized for searching!

(ActiveRecord::RecordInvalid)

After commenting out this line Foreman started: https://github.com/theforeman/foreman/blob/1.5-stable/app/models/filter.rb#L47

Related issues:

Related to Foreman - Bug #5235: Filter creation allows me to enter and save w... Closed 04/17/2014

Associated revisions

Revision 48c69213 - 08/07/2014 06:29 PM - Dominic Cleal

Fixes #6830 - Add host search on compute_resource_id used in 1.5 auth migrations

Revision bba2a265 - 08/11/2014 08:27 AM - Dominic Cleal

Fixes #6830 - Add host search on compute_resource_id used in 1.5 auth migrations

(cherry picked from commit 48c69213e70e1bc697b4a5487652549a8757a7a0)

Revision 98ef70bb - 09/04/2014 04:00 PM - Dominic Cleal

Fixes #6830 - Add host search on compute_resource_id used in 1.5 auth migrations

(cherry picked from commit 48c69213e70e1bc697b4a5487652549a8757a7a0)

History

#1 - 07/30/2014 04:10 AM - Dominic Cleal

- Related to Bug #5235: Filter creation allows me to enter and save with a field that isn't available for searching and blows up the resulting entity page

added

#2 - 07/30/2014 04:11 AM - Dominic Cleal

- Subject changed from upgrade 1.4.5 to 1.5.2 results in error to upgrade 1.4.5 to 1.5.2 results in "Invalid search query" error

- Category set to DB migrations

- translation missing: en.field_release set to 20

#3 - 07/30/2014 04:12 AM - Dominic Cleal

I think what's happening is we're creating a filter during DB migration (for 1.4 to 1.5 auth changes) and this is invalid.

#4 - 07/30/2014 06:46 AM - Dominic Cleal

As a workaround, comment out this line in /usr/share/foreman/app/models/filter.rb, circa line 47:

validates_with ScopedSearchValidator
https://github.com/theforeman/foreman/blob/1.5-stable/app/models/filter.rb#L47


#5 - 07/30/2014 03:34 PM - Jason Barnett

Just to give you some feeback. I ran into this problem and commenting out `validates_with ScopedSearchValidator` worked to get around the issue.

#6 - 07/31/2014 04:07 PM - Joshua Hoblitt

I hit the same issue upgrading from 1.4 to the 1.5.2-1 RPMs.  Commenting line 47 in filer.rb also fixed it.

#7 - 08/01/2014 03:30 AM - Dominic Cleal

- Assignee set to Dominic Cleal

#8 - 08/01/2014 03:32 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.7.5

- Pull request https://github.com/theforeman/foreman/pull/1639 added

- Pull request deleted ()

#9 - 08/07/2014 07:01 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 48c69213e70e1bc697b4a5487652549a8757a7a0.

#10 - 08/14/2014 03:17 AM - Glen Ogilvie

Thanks for the fix.. I was also affected.
